ConfigurationList Payment Methods

List Payment Methods

curl -X GET "https://sandbox-api.aparatech.io/v1/public/config/payment-methods?direction=deposit&userType=individual&currency=example_string&headlessMode=true&limit=42&page=25" \
  -H "Content-Type: application/json" \
  -H "MID: example_string"
{
  "status": "success",
  "data": [
    {
      "name": "Bkash",
      "paymentCode": "bkash",
      "paymentType": "local_wallet",
      "logoUrl": "https://common-payment-methods-logo.s3.ap-southeast-1.amazonaws.com/bkash.svg",
      "minAmount": 200,
      "maxAmount": 25000,
      "currency": "BDT",
      "additionalDetails": {
        "firstName": {
          "type": "string"
        },
        "email": {
          "type": "string"
        },
        "phone": {
          "type": "string",
          "min": 10,
          "max": 12,
          "pattern": "^\\d{10,12}$"
        },
        "phoneCode": {
          "type": "string",
          "enum": [
            "+880"
          ]
        }
      }
    }
  ]
}
GET
/v1/public/config/payment-methods
GET
Base URLstring

Target server for requests. Edit to use your own host.

query
directionstring
Required
Options: deposit, withdraw
query
userTypestring
Options: individual, business
Request Preview
Response

Response will appear here after sending the request

Query Parameters

directionstring
Required
Allowed values:depositwithdraw
userTypestring
Allowed values:individualbusiness

Headers

Responses

statusstring
dataarray